Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1168725 - LoopError: multiple loops associated with /run/install/isodir/Fedora-Server-DVD-ppc64le-21_TC2.iso
Summary: LoopError: multiple loops associated with /run/install/isodir/Fedora-Server-D...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 21
Hardware: ppc64le
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8da0dce0a9138d567c9778bbda1...
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-11-27 16:40 UTC by Menanteau Guy
Modified: 2015-05-06 23:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-19 14:48:13 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: anaconda.log (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: environ (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: lsblk_output (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: nmcli_dev_list (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: os_info (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: storage.log (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: syslog (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: ifcfg.log (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: packaging.log (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details
File: program.log (deleted)
2014-11-27 16:41 UTC, Menanteau Guy
no flags Details

Description Menanteau Guy 2014-11-27 16:40:59 UTC
Description of problem:
anaconda aborts when running QA:Testcase_install_repository_Hard_drive_variation

fc21 pre GA TC2 iso from http://ppc.koji.fedoraproject.org/stage2/21_TC2

I prepared a ppc64le VM machine with fedora installed on first disk (sda standard partitions) 
and a second disk (sdb standard partition) where I copied the Fedora-Server-DVD-ppc64le-21_TC2.iso

Then I tried to install the machine again using iso on sdb1 with following command for anaconda:
linux /ppc/ppc64/vmlinuz inst.repo=hd:sdb1:/Fedora-Server-DVD-ppc64le-21_TC2.iso ip=:::::eth0:dhcp;
initrd /ppc/ppc64/initrd.img;
boot;

Using vnc I checked I have got disk drive selected correctly.
Then I select the two disks to install, using "reclaim space" options but preserving already existing data.

Starting installation makes anaconda aborted with a bug report panel.

Version-Release number of selected component:
anaconda-21.48.16-1

The following was filed automatically by anaconda:
anaconda 21.48.16-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/blivet/devicelibs/loop.py", line 59, in get_loop_name
    raise LoopError("multiple loops associated with %s" % path)
  File "/usr/lib/python2.7/site-packages/blivet/devices.py", line 4842, in status
    loop.get_loop_name(self.slave.path) == self.name)
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 340, in <genexpr>
    if (dev.status and
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 343, in findActiveDevicesOnActionDisks
    devices = [a.name for a in active if any(d in disks for d in a.disks)]
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 252, in _preProcessActions
    problematic = self.findActiveDevicesOnActionDisks()
  File "/usr/lib/python2.7/site-packages/blivet/devicetree.py", line 355, in processActions
    self._preProcessActions()
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 365, in doIt
    self.devicetree.processActions(callbacks)
  File "/usr/lib/python2.7/site-packages/blivet/__init__.py", line 216, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/install.py", line 191, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python2.7/threading.py", line 766, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 227, in run
    threading.Thread.run(self, *args, **kwargs)
LoopError: multiple loops associated with /run/install/isodir/Fedora-Server-DVD-ppc64le-21_TC2.iso

Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/ppc/ppc64/vmlinuz inst.repo=hd:sdb1:/Fedora-Server-DVD-ppc64le-21_TC2.iso ip=:::::eth0:dhcp
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         3.17.4-300.fc21.ppc64le
product:        Fedora"
release:        Cannot get release name.
type:           anaconda
version:        Fedora

Comment 1 Menanteau Guy 2014-11-27 16:41:01 UTC
Created attachment 962173 [details]
File: anaconda-tb

Comment 2 Menanteau Guy 2014-11-27 16:41:02 UTC
Created attachment 962174 [details]
File: anaconda.log

Comment 3 Menanteau Guy 2014-11-27 16:41:03 UTC
Created attachment 962175 [details]
File: environ

Comment 4 Menanteau Guy 2014-11-27 16:41:03 UTC
Created attachment 962176 [details]
File: lsblk_output

Comment 5 Menanteau Guy 2014-11-27 16:41:04 UTC
Created attachment 962177 [details]
File: nmcli_dev_list

Comment 6 Menanteau Guy 2014-11-27 16:41:05 UTC
Created attachment 962178 [details]
File: os_info

Comment 7 Menanteau Guy 2014-11-27 16:41:06 UTC
Created attachment 962179 [details]
File: storage.log

Comment 8 Menanteau Guy 2014-11-27 16:41:07 UTC
Created attachment 962180 [details]
File: syslog

Comment 9 Menanteau Guy 2014-11-27 16:41:08 UTC
Created attachment 962181 [details]
File: ifcfg.log

Comment 10 Menanteau Guy 2014-11-27 16:41:09 UTC
Created attachment 962182 [details]
File: packaging.log

Comment 11 Menanteau Guy 2014-11-27 16:41:10 UTC
Created attachment 962183 [details]
File: program.log

Comment 12 Jerry Vonau 2014-11-27 22:11:50 UTC
That error looks similar to the one in: https://bugzilla.redhat.com/show_bug.cgi?id=901778

Comment 13 Dan Horák 2014-12-04 21:21:59 UTC
It was decided to not consider it as a F-21 blocker.

Comment 14 Dan Barnes 2014-12-12 01:04:21 UTC
Another user experienced a similar problem:

I typed the first character of the user name.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/iso-fedora-21/isolinux/vmlinuz repo=hd:/dev/sdb12:/iso-fedora-21/
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/iso-fedora-21/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora

Comment 15 Dan H. Barnes 2014-12-12 04:52:30 UTC
Another user experienced a similar problem:

I typed the first two characters of the user name "da".

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/iso-fedora-21/isolinux/vmlinuz repo=hd:/dev/sdb12:/iso-fedora-21/
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/iso-fedora-21/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora

Comment 16 Dan H. Barnes 2014-12-13 04:31:37 UTC
Another user experienced a similar problem:

I typed the first character of the user name.
The character I typed was d.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/iso-fedora-21/isolinux/vmlinuz repo=hd:/dev/sdb12:/iso-fedora-21/
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/iso-fedora-21/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora

Comment 17 Menanteau Guy 2015-01-19 14:48:13 UTC
Fedora installation using iso image stored in one disk as installation source works fine in f21 release.

Comment 18 David 2015-05-06 03:55:43 UTC
Another user experienced a similar problem:

started remote install. failed when setting up installation environment

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/boot/vmlinuz-remote repo=hd:sda3:/install/Fedora-Server-DVD-i386-21.iso noselinux ks.device=08:00:27:ea:89:fa ks=hd:sda3:/install/ks.cfg --noip6 vnc vncconnect=10.10.1.1 vncpassword=dwoody1 ramdisk_size=8192 panic=30
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/install/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora

Comment 19 Dan H. Barnes 2015-05-06 23:03:06 UTC
Another user experienced a similar problem:

I typed the first character in the "Full name" field on the "CREATE USER" screen.

Then I got the unknown error message.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/iso-fedora-21/isolinux/vmlinuz repo=hd:/dev/sdb12:/iso-fedora-21/
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/iso-fedora-21/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora

Comment 20 Dan H. Barnes 2015-05-06 23:06:14 UTC
Another user experienced a similar problem:

I typed the letter "d" in the "Full name" field of the "CREATE USER" screen.

Then I got the unknown error message.

addons:         com_redhat_kdump
cmdline:        /usr/bin/python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=/iso-fedora-21/isolinux/vmlinuz repo=hd:/dev/sdb12:/iso-fedora-21/
hashmarkername: anaconda
kernel:         3.17.4-301.fc21.i686
package:        anaconda-21.48.21-1
product:        Fedora"
reason:         LoopError: multiple loops associated with /run/install/isodir/iso-fedora-21/Fedora-Server-DVD-i386-21.iso
release:        Cannot get release name.
version:        Fedora


Note You need to log in before you can comment on or make changes to this bug.